<template>
  <div v-if="news.length > 0">
    <Breadcrumb :breadcrumb="[{ name: 'Thông báo của tôi', url: '' }]" />
    <section class="container clearfix">
      <div class="min-container notifi-user">
        <div class="head flex space-between">
          <h1 class="title_cate">
            <span>Thông báo của tôi</span>
          </h1>
        </div>
        <ListNotifi :news="news" />
        <div v-if="links.next" id="pagination" class="center">
          <ul class="pagination">
            <li class="page-item">
              <a
                v-if="links.prev"
                class="page-link prev"
                href="javascript:;"
                @click.prevent="getNews(meta.current_page - 1)"
              ></a>
            </li>
            <li v-for="page in meta.last_page" :key="page" class="page-item">
              <a
                :class="
                  'page-link ' + (page == meta.current_page ? 'active' : '')
                "
                href="javascript:;"
                @click.prevent="getNews(page)"
              >
                {{ page }}
              </a>
            </li>
            <li class="page-item">
              <a
                v-if="links.next"
                class="page-link next"
                href="javascript:;"
                @click.prevent="getNews(meta.current_page + 1)"
              ></a>
            </li>
          </ul>
        </div>
      </div>
    </section>
  </div>
  <SearchNull v-else></SearchNull>
</template>

<script>
export default {
  name: 'PageNotifi',
  components: {
    Breadcrumb: () => import('~/components/Breadcrumb'),
    ListNotifi: () => import('~/components/User/ListNotifi'),
    SearchNull: () => import('~/components/Search/SearchNull.vue'),
  },
  async asyncData({ params, $axios, query }) {
    const news = await $axios.$get('/new/news/get')

    return {
      news: news.data,
      meta: news.meta,
      links: news.links,
    }
  },
  methods: {
    async getNews(page) {
      const news = await this.$axios.$get('/new/news/get?page=' + page)
      this.news = news.data
      this.meta = news.meta
      this.links = news.links
    },
  },
  head() {
    return {
      title: 'Thông báo | Thinkpro',
    }
  },
}
</script>
